import NextLinkType from 'next/link';
import { ReactNode } from 'react';
import type { App } from '../../types';
export declare const switcherData: {
    [key: string]: App;
};
export declare const ecosystem: Record<string, App>;
export declare type NavItemChild = {
    label: string;
    url?: string;
    description?: string;
};
export declare type NavItemType = {
    label: ReactNode;
    url?: string;
    as?: string;
    external?: boolean;
    active?: boolean;
    urlMatch?: (string | RegExp)[];
    /** @deprecated The position is now set automatically. */
    position?: object;
    children?: NavItemChild[];
    rightSeparator?: boolean;
};
export declare type SwitcherItem = {
    appName: string;
    url?: string;
};
export declare type NavigationProps = {
    appName: string;
    homeUrl?: string;
    activeRoute: string;
    /** @deprecated The position is now set automatically. */
    switcherPosition?: object;
    switcherItems?: SwitcherItem[];
    items: NavItemType[];
    rightAlignItems?: ReactNode;
    NextLink?: typeof NextLinkType;
    hideMobileNav?: boolean;
};
export declare type CustomNavLinkProps = {
    item: NavItemType;
    activeRoute: string;
    NextLink?: typeof NextLinkType;
};
export declare const Navigation: ({ switcherItems, appName, rightAlignItems, homeUrl, activeRoute, items, NextLink, hideMobileNav, }: NavigationProps) => import("theme-ui/jsx-runtime").JSX.Element;
