import { ColorMode } from '../tokens';
import type { GlobalTheme } from './types';
declare const _default: (_theme: GlobalTheme, colorMode: ColorMode) => {
    html: {
        textSizeAdjust: string;
        WebkitFontSmoothing: string;
        MozOsxFontSmoothing: string;
        colorScheme: string;
        '--gds-scrollbar-color': string;
    };
    clipPath?: import("theme-ui").StylePropertyValue<import("csstype").Property.ClipPath>;
    filter?: import("theme-ui").StylePropertyValue<import("csstype").Property.Filter>;
    marker?: import("theme-ui").StylePropertyValue<import("csstype").Property.Marker>;
    mask?: import("theme-ui").StylePropertyValue<import("csstype").Property.Mask<string | number>>;
    translate?: import("theme-ui").StylePropertyValue<import("csstype").Property.Translate<string | number>>;
    color?: import("theme-ui").StylePropertyValue<import("csstype").Property.Color>;
    accentColor?: import("theme-ui").StylePropertyValue<import("csstype").Property.AccentColor>;
    alignContent?: import("theme-ui").StylePropertyValue<import("csstype").Property.AlignContent>;
    alignItems?: import("theme-ui").StylePropertyValue<import("csstype").Property.AlignItems>;
    alignSelf?: import("theme-ui").StylePropertyValue<import("csstype").Property.AlignSelf>;
    alignTracks?: import("theme-ui").StylePropertyValue<import("csstype").Property.AlignTracks>;
    animationComposition?: import("theme-ui").StylePropertyValue<import("csstype").Property.AnimationComposition>;
    animationDelay?: import("theme-ui").StylePropertyValue<import("csstype").Property.AnimationDelay<string & {}>>;
    animationDirection?: import("theme-ui").StylePropertyValue<import("csstype").Property.AnimationDirection>;
    animationDuration?: import("theme-ui").StylePropertyValue<import("csstype").Property.AnimationDuration<string & {}>>;
    animationFillMode?: import("theme-ui").StylePropertyValue<import("csstype").Property.AnimationFillMode>;
    animationIterationCount?: import("theme-ui").StylePropertyValue<import("csstype").Property.AnimationIterationCount>;
    animationName?: import("theme-ui").StylePropertyValue<import("csstype").Property.AnimationName>;
    animationPlayState?: import("theme-ui").StylePropertyValue<import("csstype").Property.AnimationPlayState>;
    animationTimeline?: import("theme-ui").StylePropertyValue<import("csstype").Property.AnimationTimeline>;
    animationTimingFunction?: import("theme-ui").StylePropertyValue<import("csstype").Property.AnimationTimingFunction>;
    appearance?: import("theme-ui").StylePropertyValue<import("csstype").Property.Appearance>;
    aspectRatio?: import("theme-ui").StylePropertyValue<import("csstype").Property.AspectRatio>;
    backdropFilter?: import("theme-ui").StylePropertyValue<import("csstype").Property.BackdropFilter>;
    backfaceVisibility?: import("theme-ui").StylePropertyValue<import("csstype").Property.BackfaceVisibility>;
    backgroundAttachment?: import("theme-ui").StylePropertyValue<import("csstype").Property.BackgroundAttachment>;
    backgroundBlendMode?: import("theme-ui").StylePropertyValue<import("csstype").Property.BackgroundBlendMode>;
    backgroundClip?: import("theme-ui").StylePropertyValue<import("csstype").Property.BackgroundClip>;
    backgroundColor?: import("theme-ui").StylePropertyValue<import("csstype").Property.BackgroundColor>;
    backgroundImage?: import("theme-ui").StylePropertyValue<import("csstype").Property.BackgroundImage>;
    backgroundOrigin?: import("theme-ui").StylePropertyValue<import("csstype").Property.BackgroundOrigin>;
    backgroundPositionX?: import("theme-ui").StylePropertyValue<import("csstype").Property.BackgroundPositionX<string | number>>;
    backgroundPositionY?: import("theme-ui").StylePropertyValue<import("csstype").Property.BackgroundPositionY<string | number>>;
    backgroundRepeat?: import("theme-ui").StylePropertyValue<import("csstype").Property.BackgroundRepeat>;
    backgroundSize?: import("theme-ui").StylePropertyValue<import("csstype").Property.BackgroundSize<string | number>>;
    blockOverflow?: import("theme-ui").StylePropertyValue<import("csstype").Property.BlockOverflow>;
    blockSize?: import("theme-ui").StylePropertyValue<import("csstype").Property.BlockSize<string | number>>;
    borderBlockColor?: import("theme-ui").StylePropertyValue<import("csstype").Property.BorderBlockColor>;
    borderBlockEndColor?: import("theme-ui").StylePropertyValue<import("csstype").Property.BorderBlockEndColor>;
    borderBlockEndStyle?: import("theme-ui").StylePropertyValue<import("csstype").Property.BorderBlockEndStyle>;
    borderBlockEndWidth?: import("theme-ui").StylePropertyValue<import("csstype").Property.BorderBlockEndWidth<string | number>>;
    borderBlockStartColor?: import("theme-ui").StylePropertyValue<import("csstype").Property.BorderBlockStartColor>;
    borderBlockStartStyle?: import("theme-ui").StylePropertyValue<import("csstype").Property.BorderBlockStartStyle>;
    borderBlockStartWidth?: import("theme-ui").StylePropertyValue<import("csstype").Property.BorderBlockStartWidth<string | number>>;
    borderBlockStyle?: import("theme-ui").StylePropertyValue<import("csstype").Property.BorderBlockStyle>;
    borderBlockWidth?: import("theme-ui").StylePropertyValue<import("csstype").Property.BorderBlockWidth<string | number>>;
    borderBottomColor?: import("theme-ui").StylePropertyValue<import("csstype").Property.BorderBottomColor>;
    borderBottomLeftRadius?: import("theme-ui").StylePropertyValue<import("csstype").Property.BorderBottomLeftRadius<string | number>>;
    borderBottomRightRadius?: import("theme-ui").StylePropertyValue<import("csstype").Property.BorderBottomRightRadius<string | number>>;
    borderBottomWidth?: import("theme-ui").StylePropertyValue<import("csstype").Property.BorderBottomWidth<string | number>>;
    borderCollapse?: import("theme-ui").StylePropertyValue<import("csstype").Property.BorderCollapse>;
    borderEndEndRadius?: import("theme-ui").StylePropertyValue<import("csstype").Property.BorderEndEndRadius<string | number>>;
    borderEndStartRadius?: import("theme-ui").StylePropertyValue<import("csstype").Property.BorderEndStartRadius<string | number>>;
    borderImageOutset?: import("theme-ui").StylePropertyValue<import("csstype").Property.BorderImageOutset<string | number>>;
    borderImageRepeat?: import("theme-ui").StylePropertyValue<import("csstype").Property.BorderImageRepeat>;
    borderImageSlice?: import("theme-ui").StylePropertyValue<import("csstype").Property.BorderImageSlice>;
    borderImageSource?: import("theme-ui").StylePropertyValue<import("csstype").Property.BorderImageSource>;
    borderImageWidth?: import("theme-ui").StylePropertyValue<import("csstype").Property.BorderImageWidth<string | number>>;
    borderInlineColor?: import("theme-ui").StylePropertyValue<import("csstype").Property.BorderInlineColor>;
    borderInlineEndColor?: import("theme-ui").StylePropertyValue<import("csstype").Property.BorderInlineEndColor>;
    borderInlineEndStyle?: import("theme-ui").StylePropertyValue<import("csstype").Property.BorderInlineEndStyle>;
    borderInlineEndWidth?: import("theme-ui").StylePropertyValue<import("csstype").Property.BorderInlineEndWidth<string | number>>;
    borderInlineStartColor?: import("theme-ui").StylePropertyValue<import("csstype").Property.BorderInlineStartColor>;
    borderInlineStartStyle?: import("theme-ui").StylePropertyValue<import("csstype").Property.BorderInlineStartStyle>;
    borderInlineStartWidth?: import("theme-ui").StylePropertyValue<import("csstype").Property.BorderInlineStartWidth<string | number>>;
    borderInlineStyle?: import("theme-ui").StylePropertyValue<import("csstype").Property.BorderInlineStyle>;
    borderInlineWidth?: import("theme-ui").StylePropertyValue<import("csstype").Property.BorderInlineWidth<string | number>>;
    borderLeftColor?: import("theme-ui").StylePropertyValue<import("csstype").Property.BorderLeftColor>;
    borderLeftWidth?: import("theme-ui").StylePropertyValue<import("csstype").Property.BorderLeftWidth<string | number>>;
    borderRightColor?: import("theme-ui").StylePropertyValue<import("csstype").Property.BorderRightColor>;
    borderRightWidth?: import("theme-ui").StylePropertyValue<import("csstype").Property.BorderRightWidth<string | number>>;
    borderSpacing?: import("theme-ui").StylePropertyValue<import("csstype").Property.BorderSpacing<string | number>>;
    borderStartEndRadius?: import("theme-ui").StylePropertyValue<import("csstype").Property.BorderStartEndRadius<string | number>>;
    borderStartStartRadius?: import("theme-ui").StylePropertyValue<import("csstype").Property.BorderStartStartRadius<string | number>>;
    borderTopColor?: import("theme-ui").StylePropertyValue<import("csstype").Property.BorderTopColor>;
    borderTopLeftRadius?: import("theme-ui").StylePropertyValue<import("csstype").Property.BorderTopLeftRadius<string | number>>;
    borderTopRightRadius?: import("theme-ui").StylePropertyValue<import("csstype").Property.BorderTopRightRadius<string | number>>;
    borderTopWidth?: import("theme-ui").StylePropertyValue<import("csstype").Property.BorderTopWidth<string | number>>;
    bottom?: import("theme-ui").StylePropertyValue<import("csstype").Property.Bottom<string | number>>;
    boxDecorationBreak?: import("theme-ui").StylePropertyValue<import("csstype").Property.BoxDecorationBreak>;
    boxSizing?: import("theme-ui").StylePropertyValue<import("csstype").Property.BoxSizing>;
    breakAfter?: import("theme-ui").StylePropertyValue<import("csstype").Property.BreakAfter>;
    breakBefore?: import("theme-ui").StylePropertyValue<import("csstype").Property.BreakBefore>;
    breakInside?: import("theme-ui").StylePropertyValue<import("csstype").Property.BreakInside>;
    captionSide?: import("theme-ui").StylePropertyValue<import("csstype").Property.CaptionSide>;
    caretColor?: import("theme-ui").StylePropertyValue<import("csstype").Property.CaretColor>;
    clear?: import("theme-ui").StylePropertyValue<import("csstype").Property.Clear>;
    colorAdjust?: import("theme-ui").StylePropertyValue<import("csstype").Property.PrintColorAdjust>;
    colorScheme?: import("theme-ui").StylePropertyValue<import("csstype").Property.ColorScheme>;
    columnCount?: import("theme-ui").StylePropertyValue<import("csstype").Property.ColumnCount>;
    columnFill?: import("theme-ui").StylePropertyValue<import("csstype").Property.ColumnFill>;
    columnGap?: import("theme-ui").StylePropertyValue<import("csstype").Property.ColumnGap<string | number>>;
    columnRuleColor?: import("theme-ui").StylePropertyValue<import("csstype").Property.ColumnRuleColor>;
    columnRuleStyle?: import("theme-ui").StylePropertyValue<import("csstype").Property.ColumnRuleStyle>;
    columnRuleWidth?: import("theme-ui").StylePropertyValue<import("csstype").Property.ColumnRuleWidth<string | number>>;
    columnSpan?: import("theme-ui").StylePropertyValue<import("csstype").Property.ColumnSpan>;
    columnWidth?: import("theme-ui").StylePropertyValue<import("csstype").Property.ColumnWidth<string | number>>;
    contain?: import("theme-ui").StylePropertyValue<import("csstype").Property.Contain>;
    content?: import("theme-ui").StylePropertyValue<import("csstype").Property.Content>;
    contentVisibility?: import("theme-ui").StylePropertyValue<import("csstype").Property.ContentVisibility>;
    counterIncrement?: import("theme-ui").StylePropertyValue<import("csstype").Property.CounterIncrement>;
    counterReset?: import("theme-ui").StylePropertyValue<import("csstype").Property.CounterReset>;
    counterSet?: import("theme-ui").StylePropertyValue<import("csstype").Property.CounterSet>;
    cursor?: import("theme-ui").StylePropertyValue<import("csstype").Property.Cursor>;
    direction?: import("theme-ui").StylePropertyValue<import("csstype").Property.Direction>;
    display?: import("theme-ui").StylePropertyValue<import("csstype").Property.Display>;
    emptyCells?: import("theme-ui").StylePropertyValue<import("csstype").Property.EmptyCells>;
    flexBasis?: import("theme-ui").StylePropertyValue<import("csstype").Property.FlexBasis<string | number>>;
    flexDirection?: import("theme-ui").StylePropertyValue<import("csstype").Property.FlexDirection>;
    flexGrow?: import("theme-ui").StylePropertyValue<import("csstype").Property.FlexGrow>;
    flexShrink?: import("theme-ui").StylePropertyValue<import("csstype").Property.FlexShrink>;
    flexWrap?: import("theme-ui").StylePropertyValue<import("csstype").Property.FlexWrap>;
    float?: import("theme-ui").StylePropertyValue<import("csstype").Property.Float>;
    fontFamily?: import("theme-ui").StylePropertyValue<import("csstype").Property.FontFamily>;
    fontFeatureSettings?: import("theme-ui").StylePropertyValue<import("csstype").Property.FontFeatureSettings>;
    fontKerning?: import("theme-ui").StylePropertyValue<import("csstype").Property.FontKerning>;
    fontLanguageOverride?: import("theme-ui").StylePropertyValue<import("csstype").Property.FontLanguageOverride>;
    fontOpticalSizing?: import("theme-ui").StylePropertyValue<import("csstype").Property.FontOpticalSizing>;
    fontSize?: import("theme-ui").StylePropertyValue<import("csstype").Property.FontSize<string | number>>;
    fontSizeAdjust?: import("theme-ui").StylePropertyValue<import("csstype").Property.FontSizeAdjust>;
    fontSmooth?: import("theme-ui").StylePropertyValue<import("csstype").Property.FontSmooth<string | number>>;
    fontStretch?: import("theme-ui").StylePropertyValue<import("csstype").Property.FontStretch>;
    fontStyle?: import("theme-ui").StylePropertyValue<import("csstype").Property.FontStyle>;
    fontSynthesis?: import("theme-ui").StylePropertyValue<import("csstype").Property.FontSynthesis>;
    fontVariant?: import("theme-ui").StylePropertyValue<import("csstype").Property.FontVariant>;
    fontVariantAlternates?: import("theme-ui").StylePropertyValue<import("csstype").Property.FontVariantAlternates>;
    fontVariantCaps?: import("theme-ui").StylePropertyValue<import("csstype").Property.FontVariantCaps>;
    fontVariantEastAsian?: import("theme-ui").StylePropertyValue<import("csstype").Property.FontVariantEastAsian>;
    fontVariantLigatures?: import("theme-ui").StylePropertyValue<import("csstype").Property.FontVariantLigatures>;
    fontVariantNumeric?: import("theme-ui").StylePropertyValue<import("csstype").Property.FontVariantNumeric>;
    fontVariantPosition?: import("theme-ui").StylePropertyValue<import("csstype").Property.FontVariantPosition>;
    fontVariationSettings?: import("theme-ui").StylePropertyValue<import("csstype").Property.FontVariationSettings>;
    forcedColorAdjust?: import("theme-ui").StylePropertyValue<import("csstype").Property.ForcedColorAdjust>;
    gridAutoColumns?: import("theme-ui").StylePropertyValue<import("csstype").Property.GridAutoColumns<string | number>>;
    gridAutoFlow?: import("theme-ui").StylePropertyValue<import("csstype").Property.GridAutoFlow>;
    gridAutoRows?: import("theme-ui").StylePropertyValue<import("csstype").Property.GridAutoRows<string | number>>;
    gridColumnEnd?: import("theme-ui").StylePropertyValue<import("csstype").Property.GridColumnEnd>;
    gridColumnStart?: import("theme-ui").StylePropertyValue<import("csstype").Property.GridColumnStart>;
    gridRowEnd?: import("theme-ui").StylePropertyValue<import("csstype").Property.GridRowEnd>;
    gridRowStart?: import("theme-ui").StylePropertyValue<import("csstype").Property.GridRowStart>;
    gridTemplateAreas?: import("theme-ui").StylePropertyValue<import("csstype").Property.GridTemplateAreas>;
    gridTemplateColumns?: import("theme-ui").StylePropertyValue<import("csstype").Property.GridTemplateColumns<string | number>>;
    gridTemplateRows?: import("theme-ui").StylePropertyValue<import("csstype").Property.GridTemplateRows<string | number>>;
    hangingPunctuation?: import("theme-ui").StylePropertyValue<import("csstype").Property.HangingPunctuation>;
    height?: import("theme-ui").StylePropertyValue<import("csstype").Property.Height<string | number>>;
    hyphenateCharacter?: import("theme-ui").StylePropertyValue<import("csstype").Property.HyphenateCharacter>;
    hyphens?: import("theme-ui").StylePropertyValue<import("csstype").Property.Hyphens>;
    imageOrientation?: import("theme-ui").StylePropertyValue<import("csstype").Property.ImageOrientation>;
    imageRendering?: import("theme-ui").StylePropertyValue<import("csstype").Property.ImageRendering>;
    imageResolution?: import("theme-ui").StylePropertyValue<import("csstype").Property.ImageResolution>;
    initialLetter?: import("theme-ui").StylePropertyValue<import("csstype").Property.InitialLetter>;
    inlineSize?: import("theme-ui").StylePropertyValue<import("csstype").Property.InlineSize<string | number>>;
    inputSecurity?: import("theme-ui").StylePropertyValue<import("csstype").Property.InputSecurity>;
    inset?: import("theme-ui").StylePropertyValue<import("csstype").Property.Inset<string | number>>;
    insetBlock?: import("theme-ui").StylePropertyValue<import("csstype").Property.InsetBlock<string | number>>;
    insetBlockEnd?: import("theme-ui").StylePropertyValue<import("csstype").Property.InsetBlockEnd<string | number>>;
    insetBlockStart?: import("theme-ui").StylePropertyValue<import("csstype").Property.InsetBlockStart<string | number>>;
    insetInline?: import("theme-ui").StylePropertyValue<import("csstype").Property.InsetInline<string | number>>;
    insetInlineEnd?: import("theme-ui").StylePropertyValue<import("csstype").Property.InsetInlineEnd<string | number>>;
    insetInlineStart?: import("theme-ui").StylePropertyValue<import("csstype").Property.InsetInlineStart<string | number>>;
    isolation?: import("theme-ui").StylePropertyValue<import("csstype").Property.Isolation>;
    justifyContent?: import("theme-ui").StylePropertyValue<import("csstype").Property.JustifyContent>;
    justifyItems?: import("theme-ui").StylePropertyValue<import("csstype").Property.JustifyItems>;
    justifySelf?: import("theme-ui").StylePropertyValue<import("csstype").Property.JustifySelf>;
    justifyTracks?: import("theme-ui").StylePropertyValue<import("csstype").Property.JustifyTracks>;
    left?: import("theme-ui").StylePropertyValue<import("csstype").Property.Left<string | number>>;
    letterSpacing?: import("theme-ui").StylePropertyValue<import("csstype").Property.LetterSpacing<string | number>>;
    lineBreak?: import("theme-ui").StylePropertyValue<import("csstype").Property.LineBreak>;
    lineHeight?: import("theme-ui").StylePropertyValue<import("csstype").Property.LineHeight<string | number>>;
    lineHeightStep?: import("theme-ui").StylePropertyValue<import("csstype").Property.LineHeightStep<string | number>>;
    listStyleImage?: import("theme-ui").StylePropertyValue<import("csstype").Property.ListStyleImage>;
    listStylePosition?: import("theme-ui").StylePropertyValue<import("csstype").Property.ListStylePosition>;
    listStyleType?: import("theme-ui").StylePropertyValue<import("csstype").Property.ListStyleType>;
    marginBlock?: import("theme-ui").StylePropertyValue<import("csstype").Property.MarginBlock<string | number>>;
    marginBlockEnd?: import("theme-ui").StylePropertyValue<import("csstype").Property.MarginBlockEnd<string | number>>;
    marginBlockStart?: import("theme-ui").StylePropertyValue<import("csstype").Property.MarginBlockStart<string | number>>;
    marginBottom?: import("theme-ui").StylePropertyValue<import("csstype").Property.MarginBottom<string | number>>;
    marginInline?: import("theme-ui").StylePropertyValue<import("csstype").Property.MarginInline<string | number>>;
    marginInlineEnd?: import("theme-ui").StylePropertyValue<import("csstype").Property.MarginInlineEnd<string | number>>;
    marginInlineStart?: import("theme-ui").StylePropertyValue<import("csstype").Property.MarginInlineStart<string | number>>;
    marginLeft?: import("theme-ui").StylePropertyValue<import("csstype").Property.MarginLeft<string | number>>;
    marginRight?: import("theme-ui").StylePropertyValue<import("csstype").Property.MarginRight<string | number>>;
    marginTop?: import("theme-ui").StylePropertyValue<import("csstype").Property.MarginTop<string | number>>;
    maskBorderMode?: import("theme-ui").StylePropertyValue<import("csstype").Property.MaskBorderMode>;
    maskBorderOutset?: import("theme-ui").StylePropertyValue<import("csstype").Property.MaskBorderOutset<string | number>>;
    maskBorderRepeat?: import("theme-ui").StylePropertyValue<import("csstype").Property.MaskBorderRepeat>;
    maskBorderSlice?: import("theme-ui").StylePropertyValue<import("csstype").Property.MaskBorderSlice>;
    maskBorderSource?: import("theme-ui").StylePropertyValue<import("csstype").Property.MaskBorderSource>;
    maskBorderWidth?: import("theme-ui").StylePropertyValue<import("csstype").Property.MaskBorderWidth<string | number>>;
    maskClip?: import("theme-ui").StylePropertyValue<import("csstype").Property.MaskClip>;
    maskComposite?: import("theme-ui").StylePropertyValue<import("csstype").Property.MaskComposite>;
    maskImage?: import("theme-ui").StylePropertyValue<import("csstype").Property.MaskImage>;
    maskMode?: import("theme-ui").StylePropertyValue<import("csstype").Property.MaskMode>;
    maskOrigin?: import("theme-ui").StylePropertyValue<import("csstype").Property.MaskOrigin>;
    maskPosition?: import("theme-ui").StylePropertyValue<import("csstype").Property.MaskPosition<string | number>>;
    maskRepeat?: import("theme-ui").StylePropertyValue<import("csstype").Property.MaskRepeat>;
    maskSize?: import("theme-ui").StylePropertyValue<import("csstype").Property.MaskSize<string | number>>;
    maskType?: import("theme-ui").StylePropertyValue<import("csstype").Property.MaskType>;
    mathDepth?: import("theme-ui").StylePropertyValue<import("csstype").Property.MathDepth>;
    mathShift?: import("theme-ui").StylePropertyValue<import("csstype").Property.MathShift>;
    mathStyle?: import("theme-ui").StylePropertyValue<import("csstype").Property.MathStyle>;
    maxBlockSize?: import("theme-ui").StylePropertyValue<import("csstype").Property.MaxBlockSize<string | number>>;
    maxHeight?: import("theme-ui").StylePropertyValue<import("csstype").Property.MaxHeight<string | number>>;
    maxInlineSize?: import("theme-ui").StylePropertyValue<import("csstype").Property.MaxInlineSize<string | number>>;
    maxLines?: import("theme-ui").StylePropertyValue<import("csstype").Property.MaxLines>;
    maxWidth?: import("theme-ui").StylePropertyValue<import("csstype").Property.MaxWidth<string | number>>;
    minBlockSize?: import("theme-ui").StylePropertyValue<import("csstype").Property.MinBlockSize<string | number>>;
    minHeight?: import("theme-ui").StylePropertyValue<import("csstype").Property.MinHeight<string | number>>;
    minInlineSize?: import("theme-ui").StylePropertyValue<import("csstype").Property.MinInlineSize<string | number>>;
    minWidth?: import("theme-ui").StylePropertyValue<import("csstype").Property.MinWidth<string | number>>;
    mixBlendMode?: import("theme-ui").StylePropertyValue<import("csstype").Property.MixBlendMode>;
    motionDistance?: import("theme-ui").StylePropertyValue<import("csstype").Property.OffsetDistance<string | number>>;
    motionPath?: import("theme-ui").StylePropertyValue<import("csstype").Property.OffsetPath>;
    motionRotation?: import("theme-ui").StylePropertyValue<import("csstype").Property.OffsetRotate>;
    objectFit?: import("theme-ui").StylePropertyValue<import("csstype").Property.ObjectFit>;
    objectPosition?: import("theme-ui").StylePropertyValue<import("csstype").Property.ObjectPosition<string | number>>;
    offsetAnchor?: import("theme-ui").StylePropertyValue<import("csstype").Property.OffsetAnchor<string | number>>;
    offsetDistance?: import("theme-ui").StylePropertyValue<import("csstype").Property.OffsetDistance<string | number>>;
    offsetPath?: import("theme-ui").StylePropertyValue<import("csstype").Property.OffsetPath>;
    offsetRotate?: import("theme-ui").StylePropertyValue<import("csstype").Property.OffsetRotate>;
    offsetRotation?: import("theme-ui").StylePropertyValue<import("csstype").Property.OffsetRotate>;
    opacity?: import("theme-ui").StylePropertyValue<import("csstype").Property.Opacity>;
    order?: import("theme-ui").StylePropertyValue<import("csstype").Property.Order>;
    orphans?: import("theme-ui").StylePropertyValue<import("csstype").Property.Orphans>;
    outlineColor?: import("theme-ui").StylePropertyValue<import("csstype").Property.OutlineColor>;
    outlineOffset?: import("theme-ui").StylePropertyValue<import("csstype").Property.OutlineOffset<string | number>>;
    outlineStyle?: import("theme-ui").StylePropertyValue<import("csstype").Property.OutlineStyle>;
    outlineWidth?: import("theme-ui").StylePropertyValue<import("csstype").Property.OutlineWidth<string | number>>;
    overflowAnchor?: import("theme-ui").StylePropertyValue<import("csstype").Property.OverflowAnchor>;
    overflowBlock?: import("theme-ui").StylePropertyValue<import("csstype").Property.OverflowBlock>;
    overflowClipBox?: import("theme-ui").StylePropertyValue<import("csstype").Property.OverflowClipBox>;
    overflowClipMargin?: import("theme-ui").StylePropertyValue<import("csstype").Property.OverflowClipMargin<string | number>>;
    overflowInline?: import("theme-ui").StylePropertyValue<import("csstype").Property.OverflowInline>;
    overflowWrap?: import("theme-ui").StylePropertyValue<import("csstype").Property.OverflowWrap>;
    overflowX?: import("theme-ui").StylePropertyValue<import("csstype").Property.OverflowX>;
    overflowY?: import("theme-ui").StylePropertyValue<import("csstype").Property.OverflowY>;
    overscrollBehaviorBlock?: import("theme-ui").StylePropertyValue<import("csstype").Property.OverscrollBehaviorBlock>;
    overscrollBehaviorInline?: import("theme-ui").StylePropertyValue<import("csstype").Property.OverscrollBehaviorInline>;
    overscrollBehaviorX?: import("theme-ui").StylePropertyValue<import("csstype").Property.OverscrollBehaviorX>;
    overscrollBehaviorY?: import("theme-ui").StylePropertyValue<import("csstype").Property.OverscrollBehaviorY>;
    paddingBlock?: import("theme-ui").StylePropertyValue<import("csstype").Property.PaddingBlock<string | number>>;
    paddingBlockEnd?: import("theme-ui").StylePropertyValue<import("csstype").Property.PaddingBlockEnd<string | number>>;
    paddingBlockStart?: import("theme-ui").StylePropertyValue<import("csstype").Property.PaddingBlockStart<string | number>>;
    paddingBottom?: import("theme-ui").StylePropertyValue<import("csstype").Property.PaddingBottom<string | number>>;
    paddingInline?: import("theme-ui").StylePropertyValue<import("csstype").Property.PaddingInline<string | number>>;
    paddingInlineEnd?: import("theme-ui").StylePropertyValue<import("csstype").Property.PaddingInlineEnd<string | number>>;
    paddingInlineStart?: import("theme-ui").StylePropertyValue<import("csstype").Property.PaddingInlineStart<string | number>>;
    paddingLeft?: import("theme-ui").StylePropertyValue<import("csstype").Property.PaddingLeft<string | number>>;
    paddingRight?: import("theme-ui").StylePropertyValue<import("csstype").Property.PaddingRight<string | number>>;
    paddingTop?: import("theme-ui").StylePropertyValue<import("csstype").Property.PaddingTop<string | number>>;
    pageBreakAfter?: import("theme-ui").StylePropertyValue<import("csstype").Property.PageBreakAfter>;
    pageBreakBefore?: import("theme-ui").StylePropertyValue<import("csstype").Property.PageBreakBefore>;
    pageBreakInside?: import("theme-ui").StylePropertyValue<import("csstype").Property.PageBreakInside>;
    paintOrder?: import("theme-ui").StylePropertyValue<import("csstype").Property.PaintOrder>;
    perspective?: import("theme-ui").StylePropertyValue<import("csstype").Property.Perspective<string | number>>;
    perspectiveOrigin?: import("theme-ui").StylePropertyValue<import("csstype").Property.PerspectiveOrigin<string | number>>;
    placeContent?: import("theme-ui").StylePropertyValue<import("csstype").Property.PlaceContent>;
    pointerEvents?: import("theme-ui").StylePropertyValue<import("csstype").Property.PointerEvents>;
    position?: import("theme-ui").StylePropertyValue<import("csstype").Property.Position>;
    printColorAdjust?: import("theme-ui").StylePropertyValue<import("csstype").Property.PrintColorAdjust>;
    quotes?: import("theme-ui").StylePropertyValue<import("csstype").Property.Quotes>;
    resize?: import("theme-ui").StylePropertyValue<import("csstype").Property.Resize>;
    right?: import("theme-ui").StylePropertyValue<import("csstype").Property.Right<string | number>>;
    rotate?: import("theme-ui").StylePropertyValue<import("csstype").Property.Rotate>;
    rowGap?: import("theme-ui").StylePropertyValue<import("csstype").Property.RowGap<string | number>>;
    rubyAlign?: import("theme-ui").StylePropertyValue<import("csstype").Property.RubyAlign>;
    rubyMerge?: import("theme-ui").StylePropertyValue<import("csstype").Property.RubyMerge>;
    rubyPosition?: import("theme-ui").StylePropertyValue<import("csstype").Property.RubyPosition>;
    scale?: import("theme-ui").StylePropertyValue<import("csstype").Property.Scale>;
    scrollBehavior?: import("theme-ui").StylePropertyValue<import("csstype").Property.ScrollBehavior>;
    scrollMargin?: import("theme-ui").StylePropertyValue<import("csstype").Property.ScrollMargin<string | number>>;
    scrollMarginBlock?: import("theme-ui").StylePropertyValue<import("csstype").Property.ScrollMarginBlock<string | number>>;
    scrollMarginBlockEnd?: import("theme-ui").StylePropertyValue<import("csstype").Property.ScrollMarginBlockEnd<string | number>>;
    scrollMarginBlockStart?: import("theme-ui").StylePropertyValue<import("csstype").Property.ScrollMarginBlockStart<string | number>>;
    scrollMarginBottom?: import("theme-ui").StylePropertyValue<import("csstype").Property.ScrollMarginBottom<string | number>>;
    scrollMarginInline?: import("theme-ui").StylePropertyValue<import("csstype").Property.ScrollMarginInline<string | number>>;
    scrollMarginInlineEnd?: import("theme-ui").StylePropertyValue<import("csstype").Property.ScrollMarginInlineEnd<string | number>>;
    scrollMarginInlineStart?: import("theme-ui").StylePropertyValue<import("csstype").Property.ScrollMarginInlineStart<string | number>>;
    scrollMarginLeft?: import("theme-ui").StylePropertyValue<import("csstype").Property.ScrollMarginLeft<string | number>>;
    scrollMarginRight?: import("theme-ui").StylePropertyValue<import("csstype").Property.ScrollMarginRight<string | number>>;
    scrollMarginTop?: import("theme-ui").StylePropertyValue<import("csstype").Property.ScrollMarginTop<string | number>>;
    scrollPadding?: import("theme-ui").StylePropertyValue<import("csstype").Property.ScrollPadding<string | number>>;
    scrollPaddingBlock?: import("theme-ui").StylePropertyValue<import("csstype").Property.ScrollPaddingBlock<string | number>>;
    scrollPaddingBlockEnd?: import("theme-ui").StylePropertyValue<import("csstype").Property.ScrollPaddingBlockEnd<string | number>>;
    scrollPaddingBlockStart?: import("theme-ui").StylePropertyValue<import("csstype").Property.ScrollPaddingBlockStart<string | number>>;
    scrollPaddingBottom?: import("theme-ui").StylePropertyValue<import("csstype").Property.ScrollPaddingBottom<string | number>>;
    scrollPaddingInline?: import("theme-ui").StylePropertyValue<import("csstype").Property.ScrollPaddingInline<string | number>>;
    scrollPaddingInlineEnd?: import("theme-ui").StylePropertyValue<import("csstype").Property.ScrollPaddingInlineEnd<string | number>>;
    scrollPaddingInlineStart?: import("theme-ui").StylePropertyValue<import("csstype").Property.ScrollPaddingInlineStart<string | number>>;
    scrollPaddingLeft?: import("theme-ui").StylePropertyValue<import("csstype").Property.ScrollPaddingLeft<string | number>>;
    scrollPaddingRight?: import("theme-ui").StylePropertyValue<import("csstype").Property.ScrollPaddingRight<string | number>>;
    scrollPaddingTop?: import("theme-ui").StylePropertyValue<import("csstype").Property.ScrollPaddingTop<string | number>>;
    scrollSnapAlign?: import("theme-ui").StylePropertyValue<import("csstype").Property.ScrollSnapAlign>;
    scrollSnapMargin?: import("theme-ui").StylePropertyValue<import("csstype").Property.ScrollMargin<string | number>>;
    scrollSnapMarginBottom?: import("theme-ui").StylePropertyValue<import("csstype").Property.ScrollMarginBottom<string | number>>;
    scrollSnapMarginLeft?: import("theme-ui").StylePropertyValue<import("csstype").Property.ScrollMarginLeft<string | number>>;
    scrollSnapMarginRight?: import("theme-ui").StylePropertyValue<import("csstype").Property.ScrollMarginRight<string | number>>;
    scrollSnapMarginTop?: import("theme-ui").StylePropertyValue<import("csstype").Property.ScrollMarginTop<string | number>>;
    scrollSnapStop?: import("theme-ui").StylePropertyValue<import("csstype").Property.ScrollSnapStop>;
    scrollSnapType?: import("theme-ui").StylePropertyValue<import("csstype").Property.ScrollSnapType>;
    scrollbarColor?: import("theme-ui").StylePropertyValue<import("csstype").Property.ScrollbarColor>;
    scrollbarGutter?: import("theme-ui").StylePropertyValue<import("csstype").Property.ScrollbarGutter>;
    scrollbarWidth?: import("theme-ui").StylePropertyValue<import("csstype").Property.ScrollbarWidth>;
    shapeImageThreshold?: import("theme-ui").StylePropertyValue<import("csstype").Property.ShapeImageThreshold>;
    shapeMargin?: import("theme-ui").StylePropertyValue<import("csstype").Property.ShapeMargin<string | number>>;
    shapeOutside?: import("theme-ui").StylePropertyValue<import("csstype").Property.ShapeOutside>;
    tabSize?: import("theme-ui").StylePropertyValue<import("csstype").Property.TabSize<string | number>>;
    tableLayout?: import("theme-ui").StylePropertyValue<import("csstype").Property.TableLayout>;
    textAlign?: import("theme-ui").StylePropertyValue<import("csstype").Property.TextAlign>;
    textAlignLast?: import("theme-ui").StylePropertyValue<import("csstype").Property.TextAlignLast>;
    textCombineUpright?: import("theme-ui").StylePropertyValue<import("csstype").Property.TextCombineUpright>;
    textDecorationColor?: import("theme-ui").StylePropertyValue<import("csstype").Property.TextDecorationColor>;
    textDecorationLine?: import("theme-ui").StylePropertyValue<import("csstype").Property.TextDecorationLine>;
    textDecorationSkip?: import("theme-ui").StylePropertyValue<import("csstype").Property.TextDecorationSkip>;
    textDecorationSkipInk?: import("theme-ui").StylePropertyValue<import("csstype").Property.TextDecorationSkipInk>;
    textDecorationStyle?: import("theme-ui").StylePropertyValue<import("csstype").Property.TextDecorationStyle>;
    textDecorationThickness?: import("theme-ui").StylePropertyValue<import("csstype").Property.TextDecorationThickness<string | number>>;
    textEmphasisColor?: import("theme-ui").StylePropertyValue<import("csstype").Property.TextEmphasisColor>;
    textEmphasisPosition?: import("theme-ui").StylePropertyValue<import("csstype").Property.TextEmphasisPosition>;
    textEmphasisStyle?: import("theme-ui").StylePropertyValue<import("csstype").Property.TextEmphasisStyle>;
    textIndent?: import("theme-ui").StylePropertyValue<import("csstype").Property.TextIndent<string | number>>;
    textJustify?: import("theme-ui").StylePropertyValue<import("csstype").Property.TextJustify>;
    textOrientation?: import("theme-ui").StylePropertyValue<import("csstype").Property.TextOrientation>;
    textOverflow?: import("theme-ui").StylePropertyValue<import("csstype").Property.TextOverflow>;
    textRendering?: import("theme-ui").StylePropertyValue<import("csstype").Property.TextRendering>;
    textShadow?: import("theme-ui").StylePropertyValue<import("csstype").Property.TextShadow>;
    textSizeAdjust?: import("theme-ui").StylePropertyValue<import("csstype").Property.TextSizeAdjust>;
    textTransform?: import("theme-ui").StylePropertyValue<import("csstype").Property.TextTransform>;
    textUnderlineOffset?: import("theme-ui").StylePropertyValue<import("csstype").Property.TextUnderlineOffset<string | number>>;
    textUnderlinePosition?: import("theme-ui").StylePropertyValue<import("csstype").Property.TextUnderlinePosition>;
    top?: import("theme-ui").StylePropertyValue<import("csstype").Property.Top<string | number>>;
    touchAction?: import("theme-ui").StylePropertyValue<import("csstype").Property.TouchAction>;
    transform?: import("theme-ui").StylePropertyValue<import("csstype").Property.Transform>;
    transformBox?: import("theme-ui").StylePropertyValue<import("csstype").Property.TransformBox>;
    transformOrigin?: import("theme-ui").StylePropertyValue<import("csstype").Property.TransformOrigin<string | number>>;
    transformStyle?: import("theme-ui").StylePropertyValue<import("csstype").Property.TransformStyle>;
    transitionDelay?: import("theme-ui").StylePropertyValue<import("csstype").Property.TransitionDelay<string & {}>>;
    transitionDuration?: import("theme-ui").StylePropertyValue<import("csstype").Property.TransitionDuration<string & {}>>;
    transitionProperty?: import("theme-ui").StylePropertyValue<import("csstype").Property.TransitionProperty>;
    transitionTimingFunction?: import("theme-ui").StylePropertyValue<import("csstype").Property.TransitionTimingFunction>;
    unicodeBidi?: import("theme-ui").StylePropertyValue<import("csstype").Property.UnicodeBidi>;
    userSelect?: import("theme-ui").StylePropertyValue<import("csstype").Property.UserSelect>;
    verticalAlign?: import("theme-ui").StylePropertyValue<import("csstype").Property.VerticalAlign<string | number>>;
    visibility?: import("theme-ui").StylePropertyValue<import("csstype").Property.Visibility>;
    whiteSpace?: import("theme-ui").StylePropertyValue<import("csstype").Property.WhiteSpace>;
    widows?: import("theme-ui").StylePropertyValue<import("csstype").Property.Widows>;
    width?: import("theme-ui").StylePropertyValue<import("csstype").Property.Width<string | number>>;
    willChange?: import("theme-ui").StylePropertyValue<import("csstype").Property.WillChange>;
    wordBreak?: import("theme-ui").StylePropertyValue<import("csstype").Property.WordBreak>;
    wordSpacing?: import("theme-ui").StylePropertyValue<import("csstype").Property.WordSpacing<string | number>>;
    wordWrap?: import("theme-ui").StylePropertyValue<import("csstype").Property.WordWrap>;
    writingMode?: import("theme-ui").StylePropertyValue<import("csstype").Property.WritingMode>;
    zoom?: import("theme-ui").StylePropertyValue<import("csstype").Property.Zoom>;
    all?: import("theme-ui").StylePropertyValue<import("csstype").Globals>;
    animation?: import("theme-ui").StylePropertyValue<import("csstype").Property.Animation<string & {}>>;
    background?: import("theme-ui").StylePropertyValue<import("csstype").Property.Background<string | number>>;
    backgroundPosition?: import("theme-ui").StylePropertyValue<import("csstype").Property.BackgroundPosition<string | number>>;
    border?: import("theme-ui").StylePropertyValue<import("csstype").Property.Border<string | number>>;
    borderBlock?: import("theme-ui").StylePropertyValue<import("csstype").Property.BorderBlock<string | number>>;
    borderBlockEnd?: import("theme-ui").StylePropertyValue<import("csstype").Property.BorderBlockEnd<string | number>>;
    borderBlockStart?: import("theme-ui").StylePropertyValue<import("csstype").Property.BorderBlockStart<string | number>>;
    borderBottom?: import("theme-ui").StylePropertyValue<import("csstype").Property.BorderBottom<string | number>>;
    borderColor?: import("theme-ui").StylePropertyValue<import("csstype").Property.BorderColor>;
    borderImage?: import("theme-ui").StylePropertyValue<import("csstype").Property.BorderImage>;
    borderInline?: import("theme-ui").StylePropertyValue<import("csstype").Property.BorderInline<string | number>>;
    borderInlineEnd?: import("theme-ui").StylePropertyValue<import("csstype").Property.BorderInlineEnd<string | number>>;
    borderInlineStart?: import("theme-ui").StylePropertyValue<import("csstype").Property.BorderInlineStart<string | number>>;
    borderLeft?: import("theme-ui").StylePropertyValue<import("csstype").Property.BorderLeft<string | number>>;
    borderRight?: import("theme-ui").StylePropertyValue<import("csstype").Property.BorderRight<string | number>>;
    borderStyle?: import("theme-ui").StylePropertyValue<import("csstype").Property.BorderStyle>;
    borderTop?: import("theme-ui").StylePropertyValue<import("csstype").Property.BorderTop<string | number>>;
    borderWidth?: import("theme-ui").StylePropertyValue<import("csstype").Property.BorderWidth<string | number>>;
    columnRule?: import("theme-ui").StylePropertyValue<import("csstype").Property.ColumnRule<string | number>>;
    columns?: import("theme-ui").StylePropertyValue<import("csstype").Property.Columns<string | number>>;
    flex?: import("theme-ui").StylePropertyValue<import("csstype").Property.Flex<string | number>>;
    flexFlow?: import("theme-ui").StylePropertyValue<import("csstype").Property.FlexFlow>;
    font?: import("theme-ui").StylePropertyValue<import("csstype").Property.Font>;
    gap?: import("theme-ui").StylePropertyValue<import("csstype").Property.Gap<string | number>>;
    grid?: import("theme-ui").StylePropertyValue<import("csstype").Property.Grid>;
    gridArea?: import("theme-ui").StylePropertyValue<import("csstype").Property.GridArea>;
    gridColumn?: import("theme-ui").StylePropertyValue<import("csstype").Property.GridColumn>;
    gridRow?: import("theme-ui").StylePropertyValue<import("csstype").Property.GridRow>;
    gridTemplate?: import("theme-ui").StylePropertyValue<import("csstype").Property.GridTemplate>;
    lineClamp?: import("theme-ui").StylePropertyValue<import("csstype").Property.LineClamp>;
    listStyle?: import("theme-ui").StylePropertyValue<import("csstype").Property.ListStyle>;
    margin?: import("theme-ui").StylePropertyValue<import("csstype").Property.Margin<string | number>>;
    maskBorder?: import("theme-ui").StylePropertyValue<import("csstype").Property.MaskBorder>;
    motion?: import("theme-ui").StylePropertyValue<import("csstype").Property.Offset<string | number>>;
    offset?: import("theme-ui").StylePropertyValue<import("csstype").Property.Offset<string | number>>;
    outline?: import("theme-ui").StylePropertyValue<import("csstype").Property.Outline<string | number>>;
    overflow?: import("theme-ui").StylePropertyValue<import("csstype").Property.Overflow>;
    overscrollBehavior?: import("theme-ui").StylePropertyValue<import("csstype").Property.OverscrollBehavior>;
    padding?: import("theme-ui").StylePropertyValue<import("csstype").Property.Padding<string | number>>;
    placeItems?: import("theme-ui").StylePropertyValue<import("csstype").Property.PlaceItems>;
    placeSelf?: import("theme-ui").StylePropertyValue<import("csstype").Property.PlaceSelf>;
    textDecoration?: import("theme-ui").StylePropertyValue<import("csstype").Property.TextDecoration<string | number>>;
    textEmphasis?: import("theme-ui").StylePropertyValue<import("csstype").Property.TextEmphasis>;
    transition?: import("theme-ui").StylePropertyValue<import("csstype").Property.Transition<string & {}>>;
    alignmentBaseline?: import("theme-ui").StylePropertyValue<import("csstype").Property.AlignmentBaseline>;
    baselineShift?: import("theme-ui").StylePropertyValue<import("csstype").Property.BaselineShift<string | number>>;
    clip?: import("theme-ui").StylePropertyValue<import("csstype").Property.Clip>;
    clipRule?: import("theme-ui").StylePropertyValue<import("csstype").Property.ClipRule>;
    colorInterpolation?: import("theme-ui").StylePropertyValue<import("csstype").Property.ColorInterpolation>;
    colorRendering?: import("theme-ui").StylePropertyValue<import("csstype").Property.ColorRendering>;
    dominantBaseline?: import("theme-ui").StylePropertyValue<import("csstype").Property.DominantBaseline>;
    fill?: import("theme-ui").StylePropertyValue<import("csstype").Property.Fill>;
    fillOpacity?: import("theme-ui").StylePropertyValue<import("csstype").Property.FillOpacity>;
    fillRule?: import("theme-ui").StylePropertyValue<import("csstype").Property.FillRule>;
    floodColor?: import("theme-ui").StylePropertyValue<import("csstype").Property.FloodColor>;
    floodOpacity?: import("theme-ui").StylePropertyValue<import("csstype").Property.FloodOpacity>;
    glyphOrientationVertical?: import("theme-ui").StylePropertyValue<import("csstype").Property.GlyphOrientationVertical>;
    lightingColor?: import("theme-ui").StylePropertyValue<import("csstype").Property.LightingColor>;
    markerEnd?: import("theme-ui").StylePropertyValue<import("csstype").Property.MarkerEnd>;
    markerMid?: import("theme-ui").StylePropertyValue<import("csstype").Property.MarkerMid>;
    markerStart?: import("theme-ui").StylePropertyValue<import("csstype").Property.MarkerStart>;
    shapeRendering?: import("theme-ui").StylePropertyValue<import("csstype").Property.ShapeRendering>;
    stopColor?: import("theme-ui").StylePropertyValue<import("csstype").Property.StopColor>;
    stopOpacity?: import("theme-ui").StylePropertyValue<import("csstype").Property.StopOpacity>;
    stroke?: import("theme-ui").StylePropertyValue<import("csstype").Property.Stroke>;
    strokeDasharray?: import("theme-ui").StylePropertyValue<import("csstype").Property.StrokeDasharray<string | number>>;
    strokeDashoffset?: import("theme-ui").StylePropertyValue<import("csstype").Property.StrokeDashoffset<string | number>>;
    strokeLinecap?: import("theme-ui").StylePropertyValue<import("csstype").Property.StrokeLinecap>;
    strokeLinejoin?: import("theme-ui").StylePropertyValue<import("csstype").Property.StrokeLinejoin>;
    strokeMiterlimit?: import("theme-ui").StylePropertyValue<import("csstype").Property.StrokeMiterlimit>;
    strokeOpacity?: import("theme-ui").StylePropertyValue<import("csstype").Property.StrokeOpacity>;
    strokeWidth?: import("theme-ui").StylePropertyValue<import("csstype").Property.StrokeWidth<string | number>>;
    textAnchor?: import("theme-ui").StylePropertyValue<import("csstype").Property.TextAnchor>;
    vectorEffect?: import("theme-ui").StylePropertyValue<import("csstype").Property.VectorEffect>;
    MozAnimationDelay?: import("theme-ui").StylePropertyValue<import("csstype").Property.AnimationDelay<string & {}>>;
    MozAnimationDirection?: import("theme-ui").StylePropertyValue<import("csstype").Property.AnimationDirection>;
    MozAnimationDuration?: import("theme-ui").StylePropertyValue<import("csstype").Property.AnimationDuration<string & {}>>;
    MozAnimationFillMode?: import("theme-ui").StylePropertyValue<import("csstype").Property.AnimationFillMode>;
    MozAnimationIterationCount?: import("theme-ui").StylePropertyValue<import("csstype").Property.AnimationIterationCount>;
    MozAnimationName?: import("theme-ui").StylePropertyValue<import("csstype").Property.AnimationName>;
    MozAnimationPlayState?: import("theme-ui").StylePropertyValue<import("csstype").Property.AnimationPlayState>;
    MozAnimationTimingFunction?: import("theme-ui").StylePropertyValue<import("csstype").Property.AnimationTimingFunction>;
    MozAppearance?: import("theme-ui").StylePropertyValue<import("csstype").Property.MozAppearance>;
    MozBackfaceVisibility?: import("theme-ui").StylePropertyValue<import("csstype").Property.BackfaceVisibility>;
    MozBorderBottomColors?: import("theme-ui").StylePropertyValue<import("csstype").Property.MozBorderBottomColors>;
    MozBorderEndColor?: import("theme-ui").StylePropertyValue<import("csstype").Property.BorderInlineEndColor>;
    MozBorderEndStyle?: import("theme-ui").StylePropertyValue<import("csstype").Property.BorderInlineEndStyle>;
    MozBorderEndWidth?: import("theme-ui").StylePropertyValue<import("csstype").Property.BorderInlineEndWidth<string | number>>;
    MozBorderLeftColors?: import("theme-ui").StylePropertyValue<import("csstype").Property.MozBorderLeftColors>;
    MozBorderRightColors?: import("theme-ui").StylePropertyValue<import("csstype").Property.MozBorderRightColors>;
    MozBorderStartColor?: import("theme-ui").StylePropertyValue<import("csstype").Property.BorderInlineStartColor>;
    MozBorderStartStyle?: import("theme-ui").StylePropertyValue<import("csstype").Property.BorderInlineStartStyle>;
    MozBorderTopColors?: import("theme-ui").StylePropertyValue<import("csstype").Property.MozBorderTopColors>;
    MozBoxSizing?: import("theme-ui").StylePropertyValue<import("csstype").Property.BoxSizing>;
    MozColumnCount?: import("theme-ui").StylePropertyValue<import("csstype").Property.ColumnCount>;
    MozColumnFill?: import("theme-ui").StylePropertyValue<import("csstype").Property.ColumnFill>;
    MozColumnRuleColor?: import("theme-ui").StylePropertyValue<import("csstype").Property.ColumnRuleColor>;
    MozColumnRuleStyle?: import("theme-ui").StylePropertyValue<import("csstype").Property.ColumnRuleStyle>;
    MozColumnRuleWidth?: import("theme-ui").StylePropertyValue<import("csstype").Property.ColumnRuleWidth<string | number>>;
    MozColumnWidth?: import("theme-ui").StylePropertyValue<import("csstype").Property.ColumnWidth<string | number>>;
    MozContextProperties?: import("theme-ui").StylePropertyValue<import("csstype").Property.MozContextProperties>;
    MozFontFeatureSettings?: import("theme-ui").StylePropertyValue<import("csstype").Property.FontFeatureSettings>;
    MozFontLanguageOverride?: import("theme-ui").StylePropertyValue<import("csstype").Property.FontLanguageOverride>;
    MozHyphens?: import("theme-ui").StylePropertyValue<import("csstype").Property.Hyphens>;
    MozImageRegion?: import("theme-ui").StylePropertyValue<import("csstype").Property.MozImageRegion>;
    MozMarginEnd?: import("theme-ui").StylePropertyValue<import("csstype").Property.MarginInlineEnd<string | number>>;
    MozMarginStart?: import("theme-ui").StylePropertyValue<import("csstype").Property.MarginInlineStart<string | number>>;
    MozOrient?: import("theme-ui").StylePropertyValue<import("csstype").Property.MozOrient>;
    MozOsxFontSmoothing?: import("theme-ui").StylePropertyValue<import("csstype").Property.FontSmooth<string | number>>;
    MozPaddingEnd?: import("theme-ui").StylePropertyValue<import("csstype").Property.PaddingInlineEnd<string | number>>;
    MozPaddingStart?: import("theme-ui").StylePropertyValue<import("csstype").Property.PaddingInlineStart<string | number>>;
    MozPerspective?: import("theme-ui").StylePropertyValue<import("csstype").Property.Perspective<string | number>>;
    MozPerspectiveOrigin?: import("theme-ui").StylePropertyValue<import("csstype").Property.PerspectiveOrigin<string | number>>;
    MozStackSizing?: import("theme-ui").StylePropertyValue<import("csstype").Property.MozStackSizing>;
    MozTabSize?: import("theme-ui").StylePropertyValue<import("csstype").Property.TabSize<string | number>>;
    MozTextBlink?: import("theme-ui").StylePropertyValue<import("csstype").Property.MozTextBlink>;
    MozTextSizeAdjust?: import("theme-ui").StylePropertyValue<import("csstype").Property.TextSizeAdjust>;
    MozTransformOrigin?: import("theme-ui").StylePropertyValue<import("csstype").Property.TransformOrigin<string | number>>;
    MozTransformStyle?: import("theme-ui").StylePropertyValue<import("csstype").Property.TransformStyle>;
    MozTransitionDelay?: import("theme-ui").StylePropertyValue<import("csstype").Property.TransitionDelay<string & {}>>;
    MozTransitionDuration?: import("theme-ui").StylePropertyValue<import("csstype").Property.TransitionDuration<string & {}>>;
    MozTransitionProperty?: import("theme-ui").StylePropertyValue<import("csstype").Property.TransitionProperty>;
    MozTransitionTimingFunction?: import("theme-ui").StylePropertyValue<import("csstype").Property.TransitionTimingFunction>;
    MozUserFocus?: import("theme-ui").StylePropertyValue<import("csstype").Property.MozUserFocus>;
    MozUserModify?: import("theme-ui").StylePropertyValue<import("csstype").Property.MozUserModify>;
    MozUserSelect?: import("theme-ui").StylePropertyValue<import("csstype").Property.UserSelect>;
    MozWindowDragging?: import("theme-ui").StylePropertyValue<import("csstype").Property.MozWindowDragging>;
    MozWindowShadow?: import("theme-ui").StylePropertyValue<import("csstype").Property.MozWindowShadow>;
    msAccelerator?: import("theme-ui").StylePropertyValue<import("csstype").Property.MsAccelerator>;
    msBlockProgression?: import("theme-ui").StylePropertyValue<import("csstype").Property.MsBlockProgression>;
    msContentZoomChaining?: import("theme-ui").StylePropertyValue<import("csstype").Property.MsContentZoomChaining>;
    msContentZoomLimitMax?: import("theme-ui").StylePropertyValue<import("csstype").Property.MsContentZoomLimitMax>;
    msContentZoomLimitMin?: import("theme-ui").StylePropertyValue<import("csstype").Property.MsContentZoomLimitMin>;
    msContentZoomSnapPoints?: import("theme-ui").StylePropertyValue<import("csstype").Property.MsContentZoomSnapPoints>;
    msContentZoomSnapType?: import("theme-ui").StylePropertyValue<import("csstype").Property.MsContentZoomSnapType>;
    msContentZooming?: import("theme-ui").StylePropertyValue<import("csstype").Property.MsContentZooming>;
    msFilter?: import("theme-ui").StylePropertyValue<import("csstype").Property.MsFilter>;
    msFlexDirection?: import("theme-ui").StylePropertyValue<import("csstype").Property.FlexDirection>;
    msFlexPositive?: import("theme-ui").StylePropertyValue<import("csstype").Property.FlexGrow>;
    msFlowFrom?: import("theme-ui").StylePropertyValue<import("csstype").Property.MsFlowFrom>;
    msFlowInto?: import("theme-ui").StylePropertyValue<import("csstype").Property.MsFlowInto>;
    msGridColumns?: import("theme-ui").StylePropertyValue<import("csstype").Property.MsGridColumns<string | number>>;
    msGridRows?: import("theme-ui").StylePropertyValue<import("csstype").Property.MsGridRows<string | number>>;
    msHighContrastAdjust?: import("theme-ui").StylePropertyValue<import("csstype").Property.MsHighContrastAdjust>;
    msHyphenateLimitChars?: import("theme-ui").StylePropertyValue<import("csstype").Property.MsHyphenateLimitChars>;
    msHyphenateLimitLines?: import("theme-ui").StylePropertyValue<import("csstype").Property.MsHyphenateLimitLines>;
    msHyphenateLimitZone?: import("theme-ui").StylePropertyValue<import("csstype").Property.MsHyphenateLimitZone<string | number>>;
    msHyphens?: import("theme-ui").StylePropertyValue<import("csstype").Property.Hyphens>;
    msImeAlign?: import("theme-ui").StylePropertyValue<import("csstype").Property.MsImeAlign>;
    msLineBreak?: import("theme-ui").StylePropertyValue<import("csstype").Property.LineBreak>;
    msOrder?: import("theme-ui").StylePropertyValue<import("csstype").Property.Order>;
    msOverflowStyle?: import("theme-ui").StylePropertyValue<import("csstype").Property.MsOverflowStyle>;
    msOverflowX?: import("theme-ui").StylePropertyValue<import("csstype").Property.OverflowX>;
    msOverflowY?: import("theme-ui").StylePropertyValue<import("csstype").Property.OverflowY>;
    msScrollChaining?: import("theme-ui").StylePropertyValue<import("csstype").Property.MsScrollChaining>;
    msScrollLimitXMax?: import("theme-ui").StylePropertyValue<import("csstype").Property.MsScrollLimitXMax<string | number>>;
    msScrollLimitXMin?: import("theme-ui").StylePropertyValue<import("csstype").Property.MsScrollLimitXMin<string | number>>;
    msScrollLimitYMax?: import("theme-ui").StylePropertyValue<import("csstype").Property.MsScrollLimitYMax<string | number>>;
    msScrollLimitYMin?: import("theme-ui").StylePropertyValue<import("csstype").Property.MsScrollLimitYMin<string | number>>;
    msScrollRails?: import("theme-ui").StylePropertyValue<import("csstype").Property.MsScrollRails>;
    msScrollSnapPointsX?: import("theme-ui").StylePropertyValue<import("csstype").Property.MsScrollSnapPointsX>;
    msScrollSnapPointsY?: import("theme-ui").StylePropertyValue<import("csstype").Property.MsScrollSnapPointsY>;
    msScrollSnapType?: import("theme-ui").StylePropertyValue<import("csstype").Property.MsScrollSnapType>;
    msScrollTranslation?: import("theme-ui").StylePropertyValue<import("csstype").Property.MsScrollTranslation>;
    msScrollbar3dlightColor?: import("theme-ui").StylePropertyValue<import("csstype").Property.MsScrollbar3dlightColor>;
    msScrollbarArrowColor?: import("theme-ui").StylePropertyValue<import("csstype").Property.MsScrollbarArrowColor>;
    msScrollbarBaseColor?: import("theme-ui").StylePropertyValue<import("csstype").Property.MsScrollbarBaseColor>;
    msScrollbarDarkshadowColor?: import("theme-ui").StylePropertyValue<import("csstype").Property.MsScrollbarDarkshadowColor>;
    msScrollbarFaceColor?: import("theme-ui").StylePropertyValue<import("csstype").Property.MsScrollbarFaceColor>;
    msScrollbarHighlightColor?: import("theme-ui").StylePropertyValue<import("csstype").Property.MsScrollbarHighlightColor>;
    msScrollbarShadowColor?: import("theme-ui").StylePropertyValue<import("csstype").Property.MsScrollbarShadowColor>;
    msScrollbarTrackColor?: import("theme-ui").StylePropertyValue<import("csstype").Property.MsScrollbarTrackColor>;
    msTextAutospace?: import("theme-ui").StylePropertyValue<import("csstype").Property.MsTextAutospace>;
    msTextCombineHorizontal?: import("theme-ui").StylePropertyValue<import("csstype").Property.TextCombineUpright>;
    msTextOverflow?: import("theme-ui").StylePropertyValue<import("csstype").Property.TextOverflow>;
    msTouchAction?: import("theme-ui").StylePropertyValue<import("csstype").Property.TouchAction>;
    msTouchSelect?: import("theme-ui").StylePropertyValue<import("csstype").Property.MsTouchSelect>;
    msTransform?: import("theme-ui").StylePropertyValue<import("csstype").Property.Transform>;
    msTransformOrigin?: import("theme-ui").StylePropertyValue<import("csstype").Property.TransformOrigin<string | number>>;
    msTransitionDelay?: import("theme-ui").StylePropertyValue<import("csstype").Property.TransitionDelay<string & {}>>;
    msTransitionDuration?: import("theme-ui").StylePropertyValue<import("csstype").Property.TransitionDuration<string & {}>>;
    msTransitionProperty?: import("theme-ui").StylePropertyValue<import("csstype").Property.TransitionProperty>;
    msTransitionTimingFunction?: import("theme-ui").StylePropertyValue<import("csstype").Property.TransitionTimingFunction>;
    msUserSelect?: import("theme-ui").StylePropertyValue<import("csstype").Property.MsUserSelect>;
    msWordBreak?: import("theme-ui").StylePropertyValue<import("csstype").Property.WordBreak>;
    msWrapFlow?: import("theme-ui").StylePropertyValue<import("csstype").Property.MsWrapFlow>;
    msWrapMargin?: import("theme-ui").StylePropertyValue<import("csstype").Property.MsWrapMargin<string | number>>;
    msWrapThrough?: import("theme-ui").StylePropertyValue<import("csstype").Property.MsWrapThrough>;
    msWritingMode?: import("theme-ui").StylePropertyValue<import("csstype").Property.WritingMode>;
    WebkitAlignContent?: import("theme-ui").StylePropertyValue<import("csstype").Property.AlignContent>;
    WebkitAlignItems?: import("theme-ui").StylePropertyValue<import("csstype").Property.AlignItems>;
    WebkitAlignSelf?: import("theme-ui").StylePropertyValue<import("csstype").Property.AlignSelf>;
    WebkitAnimationDelay?: import("theme-ui").StylePropertyValue<import("csstype").Property.AnimationDelay<string & {}>>;
    WebkitAnimationDirection?: import("theme-ui").StylePropertyValue<import("csstype").Property.AnimationDirection>;
    WebkitAnimationDuration?: import("theme-ui").StylePropertyValue<import("csstype").Property.AnimationDuration<string & {}>>;
    WebkitAnimationFillMode?: import("theme-ui").StylePropertyValue<import("csstype").Property.AnimationFillMode>;
    WebkitAnimationIterationCount?: import("theme-ui").StylePropertyValue<import("csstype").Property.AnimationIterationCount>;
    WebkitAnimationName?: import("theme-ui").StylePropertyValue<import("csstype").Property.AnimationName>;
    WebkitAnimationPlayState?: import("theme-ui").StylePropertyValue<import("csstype").Property.AnimationPlayState>;
    WebkitAnimationTimingFunction?: import("theme-ui").StylePropertyValue<import("csstype").Property.AnimationTimingFunction>;
    WebkitAppearance?: import("theme-ui").StylePropertyValue<import("csstype").Property.WebkitAppearance>;
    WebkitBackdropFilter?: import("theme-ui").StylePropertyValue<import("csstype").Property.BackdropFilter>;
    WebkitBackfaceVisibility?: import("theme-ui").StylePropertyValue<import("csstype").Property.BackfaceVisibility>;
    WebkitBackgroundClip?: import("theme-ui").StylePropertyValue<import("csstype").Property.BackgroundClip>;
    WebkitBackgroundOrigin?: import("theme-ui").StylePropertyValue<import("csstype").Property.BackgroundOrigin>;
    WebkitBackgroundSize?: import("theme-ui").StylePropertyValue<import("csstype").Property.BackgroundSize<string | number>>;
    WebkitBorderBeforeColor?: import("theme-ui").StylePropertyValue<import("csstype").Property.WebkitBorderBeforeColor>;
    WebkitBorderBeforeStyle?: import("theme-ui").StylePropertyValue<import("csstype").Property.WebkitBorderBeforeStyle>;
    WebkitBorderBeforeWidth?: import("theme-ui").StylePropertyValue<import("csstype").Property.WebkitBorderBeforeWidth<string | number>>;
    WebkitBorderBottomLeftRadius?: import("theme-ui").StylePropertyValue<import("csstype").Property.BorderBottomLeftRadius<string | number>>;
    WebkitBorderBottomRightRadius?: import("theme-ui").StylePropertyValue<import("csstype").Property.BorderBottomRightRadius<string | number>>;
    WebkitBorderImageSlice?: import("theme-ui").StylePropertyValue<import("csstype").Property.BorderImageSlice>;
    WebkitBorderTopLeftRadius?: import("theme-ui").StylePropertyValue<import("csstype").Property.BorderTopLeftRadius<string | number>>;
    WebkitBorderTopRightRadius?: import("theme-ui").StylePropertyValue<import("csstype").Property.BorderTopRightRadius<string | number>>;
    WebkitBoxDecorationBreak?: import("theme-ui").StylePropertyValue<import("csstype").Property.BoxDecorationBreak>;
    WebkitBoxReflect?: import("theme-ui").StylePropertyValue<import("csstype").Property.WebkitBoxReflect<string | number>>;
    WebkitBoxShadow?: import("theme-ui").StylePropertyValue<import("csstype").Property.BoxShadow>;
    WebkitBoxSizing?: import("theme-ui").StylePropertyValue<import("csstype").Property.BoxSizing>;
    WebkitClipPath?: import("theme-ui").StylePropertyValue<import("csstype").Property.ClipPath>;
    WebkitColumnCount?: import("theme-ui").StylePropertyValue<import("csstype").Property.ColumnCount>;
    WebkitColumnFill?: import("theme-ui").StylePropertyValue<import("csstype").Property.ColumnFill>;
    WebkitColumnRuleColor?: import("theme-ui").StylePropertyValue<import("csstype").Property.ColumnRuleColor>;
    WebkitColumnRuleStyle?: import("theme-ui").StylePropertyValue<import("csstype").Property.ColumnRuleStyle>;
    WebkitColumnRuleWidth?: import("theme-ui").StylePropertyValue<import("csstype").Property.ColumnRuleWidth<string | number>>;
    WebkitColumnSpan?: import("theme-ui").StylePropertyValue<import("csstype").Property.ColumnSpan>;
    WebkitColumnWidth?: import("theme-ui").StylePropertyValue<import("csstype").Property.ColumnWidth<string | number>>;
    WebkitFilter?: import("theme-ui").StylePropertyValue<import("csstype").Property.Filter>;
    WebkitFlexBasis?: import("theme-ui").StylePropertyValue<import("csstype").Property.FlexBasis<string | number>>;
    WebkitFlexDirection?: import("theme-ui").StylePropertyValue<import("csstype").Property.FlexDirection>;
    WebkitFlexGrow?: import("theme-ui").StylePropertyValue<import("csstype").Property.FlexGrow>;
    WebkitFlexShrink?: import("theme-ui").StylePropertyValue<import("csstype").Property.FlexShrink>;
    WebkitFlexWrap?: import("theme-ui").StylePropertyValue<import("csstype").Property.FlexWrap>;
    WebkitFontFeatureSettings?: import("theme-ui").StylePropertyValue<import("csstype").Property.FontFeatureSettings>;
    WebkitFontKerning?: import("theme-ui").StylePropertyValue<import("csstype").Property.FontKerning>;
    WebkitFontSmoothing?: import("theme-ui").StylePropertyValue<import("csstype").Property.FontSmooth<string | number>>;
    WebkitFontVariantLigatures?: import("theme-ui").StylePropertyValue<import("csstype").Property.FontVariantLigatures>;
    WebkitHyphenateCharacter?: import("theme-ui").StylePropertyValue<import("csstype").Property.HyphenateCharacter>;
    WebkitHyphens?: import("theme-ui").StylePropertyValue<import("csstype").Property.Hyphens>;
    WebkitInitialLetter?: import("theme-ui").StylePropertyValue<import("csstype").Property.InitialLetter>;
    WebkitJustifyContent?: import("theme-ui").StylePropertyValue<import("csstype").Property.JustifyContent>;
    WebkitLineBreak?: import("theme-ui").StylePropertyValue<import("csstype").Property.LineBreak>;
    WebkitLineClamp?: import("theme-ui").StylePropertyValue<import("csstype").Property.WebkitLineClamp>;
    WebkitMarginEnd?: import("theme-ui").StylePropertyValue<import("csstype").Property.MarginInlineEnd<string | number>>;
    WebkitMarginStart?: import("theme-ui").StylePropertyValue<import("csstype").Property.MarginInlineStart<string | number>>;
    WebkitMaskAttachment?: import("theme-ui").StylePropertyValue<import("csstype").Property.WebkitMaskAttachment>;
    WebkitMaskBoxImageOutset?: import("theme-ui").StylePropertyValue<import("csstype").Property.MaskBorderOutset<string | number>>;
    WebkitMaskBoxImageRepeat?: import("theme-ui").StylePropertyValue<import("csstype").Property.MaskBorderRepeat>;
    WebkitMaskBoxImageSlice?: import("theme-ui").StylePropertyValue<import("csstype").Property.MaskBorderSlice>;
    WebkitMaskBoxImageSource?: import("theme-ui").StylePropertyValue<import("csstype").Property.MaskBorderSource>;
    WebkitMaskBoxImageWidth?: import("theme-ui").StylePropertyValue<import("csstype").Property.MaskBorderWidth<string | number>>;
    WebkitMaskClip?: import("theme-ui").StylePropertyValue<import("csstype").Property.WebkitMaskClip>;
    WebkitMaskComposite?: import("theme-ui").StylePropertyValue<import("csstype").Property.WebkitMaskComposite>;
    WebkitMaskImage?: import("theme-ui").StylePropertyValue<import("csstype").Property.WebkitMaskImage>;
    WebkitMaskOrigin?: import("theme-ui").StylePropertyValue<import("csstype").Property.WebkitMaskOrigin>;
    WebkitMaskPosition?: import("theme-ui").StylePropertyValue<import("csstype").Property.WebkitMaskPosition<string | number>>;
    WebkitMaskPositionX?: import("theme-ui").StylePropertyValue<import("csstype").Property.WebkitMaskPositionX<string | number>>;
    WebkitMaskPositionY?: import("theme-ui").StylePropertyValue<import("csstype").Property.WebkitMaskPositionY<string | number>>;
    WebkitMaskRepeat?: import("theme-ui").StylePropertyValue<import("csstype").Property.WebkitMaskRepeat>;
    WebkitMaskRepeatX?: import("theme-ui").StylePropertyValue<import("csstype").Property.WebkitMaskRepeatX>;
    WebkitMaskRepeatY?: import("theme-ui").StylePropertyValue<import("csstype").Property.WebkitMaskRepeatY>;
    WebkitMaskSize?: import("theme-ui").StylePropertyValue<import("csstype").Property.WebkitMaskSize<string | number>>;
    WebkitMaxInlineSize?: import("theme-ui").StylePropertyValue<import("csstype").Property.MaxInlineSize<string | number>>;
    WebkitOrder?: import("theme-ui").StylePropertyValue<import("csstype").Property.Order>;
    WebkitOverflowScrolling?: import("theme-ui").StylePropertyValue<import("csstype").Property.WebkitOverflowScrolling>;
    WebkitPaddingEnd?: import("theme-ui").StylePropertyValue<import("csstype").Property.PaddingInlineEnd<string | number>>;
    WebkitPaddingStart?: import("theme-ui").StylePropertyValue<import("csstype").Property.PaddingInlineStart<string | number>>;
    WebkitPerspective?: import("theme-ui").StylePropertyValue<import("csstype").Property.Perspective<string | number>>;
    WebkitPerspectiveOrigin?: import("theme-ui").StylePropertyValue<import("csstype").Property.PerspectiveOrigin<string | number>>;
    WebkitPrintColorAdjust?: import("theme-ui").StylePropertyValue<import("csstype").Property.PrintColorAdjust>;
    WebkitRubyPosition?: import("theme-ui").StylePropertyValue<import("csstype").Property.RubyPosition>;
    WebkitScrollSnapType?: import("theme-ui").StylePropertyValue<import("csstype").Property.ScrollSnapType>;
    WebkitShapeMargin?: import("theme-ui").StylePropertyValue<import("csstype").Property.ShapeMargin<string | number>>;
    WebkitTapHighlightColor?: import("theme-ui").StylePropertyValue<import("csstype").Property.WebkitTapHighlightColor>;
    WebkitTextCombine?: import("theme-ui").StylePropertyValue<import("csstype").Property.TextCombineUpright>;
    WebkitTextDecorationColor?: import("theme-ui").StylePropertyValue<import("csstype").Property.TextDecorationColor>;
    WebkitTextDecorationLine?: import("theme-ui").StylePropertyValue<import("csstype").Property.TextDecorationLine>;
    WebkitTextDecorationSkip?: import("theme-ui").StylePropertyValue<import("csstype").Property.TextDecorationSkip>;
    WebkitTextDecorationStyle?: import("theme-ui").StylePropertyValue<import("csstype").Property.TextDecorationStyle>;
    WebkitTextEmphasisColor?: import("theme-ui").StylePropertyValue<import("csstype").Property.TextEmphasisColor>;
    WebkitTextEmphasisPosition?: import("theme-ui").StylePropertyValue<import("csstype").Property.TextEmphasisPosition>;
    WebkitTextEmphasisStyle?: import("theme-ui").StylePropertyValue<import("csstype").Property.TextEmphasisStyle>;
    WebkitTextFillColor?: import("theme-ui").StylePropertyValue<import("csstype").Property.WebkitTextFillColor>;
    WebkitTextOrientation?: import("theme-ui").StylePropertyValue<import("csstype").Property.TextOrientation>;
    WebkitTextSizeAdjust?: import("theme-ui").StylePropertyValue<import("csstype").Property.TextSizeAdjust>;
    WebkitTextStrokeColor?: import("theme-ui").StylePropertyValue<import("csstype").Property.WebkitTextStrokeColor>;
    WebkitTextStrokeWidth?: import("theme-ui").StylePropertyValue<import("csstype").Property.WebkitTextStrokeWidth<string | number>>;
    WebkitTextUnderlinePosition?: import("theme-ui").StylePropertyValue<import("csstype").Property.TextUnderlinePosition>;
    WebkitTouchCallout?: import("theme-ui").StylePropertyValue<import("csstype").Property.WebkitTouchCallout>;
    WebkitTransform?: import("theme-ui").StylePropertyValue<import("csstype").Property.Transform>;
    WebkitTransformOrigin?: import("theme-ui").StylePropertyValue<import("csstype").Property.TransformOrigin<string | number>>;
    WebkitTransformStyle?: import("theme-ui").StylePropertyValue<import("csstype").Property.TransformStyle>;
    WebkitTransitionDelay?: import("theme-ui").StylePropertyValue<import("csstype").Property.TransitionDelay<string & {}>>;
    WebkitTransitionDuration?: import("theme-ui").StylePropertyValue<import("csstype").Property.TransitionDuration<string & {}>>;
    WebkitTransitionProperty?: import("theme-ui").StylePropertyValue<import("csstype").Property.TransitionProperty>;
    WebkitTransitionTimingFunction?: import("theme-ui").StylePropertyValue<import("csstype").Property.TransitionTimingFunction>;
    WebkitUserModify?: import("theme-ui").StylePropertyValue<import("csstype").Property.WebkitUserModify>;
    WebkitUserSelect?: import("theme-ui").StylePropertyValue<import("csstype").Property.UserSelect>;
    WebkitWritingMode?: import("theme-ui").StylePropertyValue<import("csstype").Property.WritingMode>;
    MozAnimation?: import("theme-ui").StylePropertyValue<import("csstype").Property.Animation<string & {}>>;
    MozBorderImage?: import("theme-ui").StylePropertyValue<import("csstype").Property.BorderImage>;
    MozColumnRule?: import("theme-ui").StylePropertyValue<import("csstype").Property.ColumnRule<string | number>>;
    MozColumns?: import("theme-ui").StylePropertyValue<import("csstype").Property.Columns<string | number>>;
    MozTransition?: import("theme-ui").StylePropertyValue<import("csstype").Property.Transition<string & {}>>;
    msContentZoomLimit?: import("theme-ui").StylePropertyValue<import("csstype").Property.MsContentZoomLimit>;
    msContentZoomSnap?: import("theme-ui").StylePropertyValue<import("csstype").Property.MsContentZoomSnap>;
    msFlex?: import("theme-ui").StylePropertyValue<import("csstype").Property.Flex<string | number>>;
    msScrollLimit?: import("theme-ui").StylePropertyValue<import("csstype").Property.MsScrollLimit>;
    msScrollSnapX?: import("theme-ui").StylePropertyValue<import("csstype").Property.MsScrollSnapX>;
    msScrollSnapY?: import("theme-ui").StylePropertyValue<import("csstype").Property.MsScrollSnapY>;
    msTransition?: import("theme-ui").StylePropertyValue<import("csstype").Property.Transition<string & {}>>;
    WebkitAnimation?: import("theme-ui").StylePropertyValue<import("csstype").Property.Animation<string & {}>>;
    WebkitBorderBefore?: import("theme-ui").StylePropertyValue<import("csstype").Property.WebkitBorderBefore<string | number>>;
    WebkitBorderImage?: import("theme-ui").StylePropertyValue<import("csstype").Property.BorderImage>;
    WebkitBorderRadius?: import("theme-ui").StylePropertyValue<import("csstype").Property.BorderRadius<string | number>>;
    WebkitColumnRule?: import("theme-ui").StylePropertyValue<import("csstype").Property.ColumnRule<string | number>>;
    WebkitColumns?: import("theme-ui").StylePropertyValue<import("csstype").Property.Columns<string | number>>;
    WebkitFlex?: import("theme-ui").StylePropertyValue<import("csstype").Property.Flex<string | number>>;
    WebkitFlexFlow?: import("theme-ui").StylePropertyValue<import("csstype").Property.FlexFlow>;
    WebkitMask?: import("theme-ui").StylePropertyValue<import("csstype").Property.WebkitMask<string | number>>;
    WebkitMaskBoxImage?: import("theme-ui").StylePropertyValue<import("csstype").Property.MaskBorder>;
    WebkitTextEmphasis?: import("theme-ui").StylePropertyValue<import("csstype").Property.TextEmphasis>;
    WebkitTextStroke?: import("theme-ui").StylePropertyValue<import("csstype").Property.WebkitTextStroke<string | number>>;
    WebkitTransition?: import("theme-ui").StylePropertyValue<import("csstype").Property.Transition<string & {}>>;
    bg?: import("theme-ui").StylePropertyValue<import("csstype").Property.BackgroundColor>;
    m?: import("theme-ui").StylePropertyValue<import("csstype").Property.Margin<string | number>>;
    mt?: import("theme-ui").StylePropertyValue<import("csstype").Property.MarginTop<string | number>>;
    mr?: import("theme-ui").StylePropertyValue<import("csstype").Property.MarginRight<string | number>>;
    mb?: import("theme-ui").StylePropertyValue<import("csstype").Property.MarginBottom<string | number>>;
    ml?: import("theme-ui").StylePropertyValue<import("csstype").Property.MarginLeft<string | number>>;
    mx?: import("theme-ui").StylePropertyValue<import("csstype").Property.MarginLeft<string | number>>;
    marginX?: import("theme-ui").StylePropertyValue<import("csstype").Property.MarginLeft<string | number>>;
    my?: import("theme-ui").StylePropertyValue<import("csstype").Property.MarginTop<string | number>>;
    marginY?: import("theme-ui").StylePropertyValue<import("csstype").Property.MarginTop<string | number>>;
    p?: import("theme-ui").StylePropertyValue<import("csstype").Property.Padding<string | number>>;
    pt?: import("theme-ui").StylePropertyValue<import("csstype").Property.PaddingTop<string | number>>;
    pr?: import("theme-ui").StylePropertyValue<import("csstype").Property.PaddingRight<string | number>>;
    pb?: import("theme-ui").StylePropertyValue<import("csstype").Property.PaddingBottom<string | number>>;
    pl?: import("theme-ui").StylePropertyValue<import("csstype").Property.PaddingLeft<string | number>>;
    px?: import("theme-ui").StylePropertyValue<import("csstype").Property.PaddingLeft<string | number>>;
    paddingX?: import("theme-ui").StylePropertyValue<import("csstype").Property.PaddingLeft<string | number>>;
    py?: import("theme-ui").StylePropertyValue<import("csstype").Property.PaddingTop<string | number>>;
    paddingY?: import("theme-ui").StylePropertyValue<import("csstype").Property.PaddingTop<string | number>>;
    scrollMarginX?: import("theme-ui").StylePropertyValue<import("csstype").Property.ScrollMarginLeft<string | number>>;
    scrollMarginY?: import("theme-ui").StylePropertyValue<import("csstype").Property.ScrollMarginTop<string | number>>;
    scrollPaddingX?: import("theme-ui").StylePropertyValue<import("csstype").Property.ScrollPaddingLeft<string | number>>;
    scrollPaddingY?: import("theme-ui").StylePropertyValue<import("csstype").Property.ScrollPaddingTop<string | number>>;
    size?: import("theme-ui").StylePropertyValue<import("csstype").Property.Width<string | number>>;
    boxShadow?: import("theme-ui").StylePropertyValue<number | import("csstype").Property.BoxShadow>;
    fontWeight?: import("theme-ui").StylePropertyValue<string | (string & {}) | (number & {})>;
    borderTopStyle?: import("theme-ui").StylePropertyValue<string>;
    borderBottomStyle?: import("theme-ui").StylePropertyValue<string>;
    borderRightStyle?: import("theme-ui").StylePropertyValue<string>;
    borderLeftStyle?: import("theme-ui").StylePropertyValue<string>;
    borderRadius?: import("theme-ui").StylePropertyValue<import("csstype").Property.BorderRadius<string | number>>;
    zIndex?: import("theme-ui").StylePropertyValue<string | (string & {}) | (number & {})>;
    ":-moz-any()"?: import("theme-ui").ThemeUIStyleObject;
    ":-moz-dir"?: import("theme-ui").ThemeUIStyleObject;
    ":-webkit-any()"?: import("theme-ui").ThemeUIStyleObject;
    "::cue"?: import("theme-ui").ThemeUIStyleObject;
    "::cue-region"?: import("theme-ui").ThemeUIStyleObject;
    "::part"?: import("theme-ui").ThemeUIStyleObject;
    "::slotted"?: import("theme-ui").ThemeUIStyleObject;
    ":dir"?: import("theme-ui").ThemeUIStyleObject;
    ":has"?: import("theme-ui").ThemeUIStyleObject;
    ":host"?: import("theme-ui").ThemeUIStyleObject;
    ":host-context"?: import("theme-ui").ThemeUIStyleObject;
    ":is"?: import("theme-ui").ThemeUIStyleObject;
    ":lang"?: import("theme-ui").ThemeUIStyleObject;
    ":matches()"?: import("theme-ui").ThemeUIStyleObject;
    ":not"?: import("theme-ui").ThemeUIStyleObject;
    ":nth-child"?: import("theme-ui").ThemeUIStyleObject;
    ":nth-last-child"?: import("theme-ui").ThemeUIStyleObject;
    ":nth-last-of-type"?: import("theme-ui").ThemeUIStyleObject;
    ":nth-of-type"?: import("theme-ui").ThemeUIStyleObject;
    ":where"?: import("theme-ui").ThemeUIStyleObject;
    ":-khtml-any-link"?: import("theme-ui").ThemeUIStyleObject;
    ":-moz-any-link"?: import("theme-ui").ThemeUIStyleObject;
    ":-moz-focusring"?: import("theme-ui").ThemeUIStyleObject;
    ":-moz-full-screen"?: import("theme-ui").ThemeUIStyleObject;
    ":-moz-placeholder"?: import("theme-ui").ThemeUIStyleObject;
    ":-moz-read-only"?: import("theme-ui").ThemeUIStyleObject;
    ":-moz-read-write"?: import("theme-ui").ThemeUIStyleObject;
    ":-moz-ui-invalid"?: import("theme-ui").ThemeUIStyleObject;
    ":-moz-ui-valid"?: import("theme-ui").ThemeUIStyleObject;
    ":-ms-fullscreen"?: import("theme-ui").ThemeUIStyleObject;
    ":-ms-input-placeholder"?: import("theme-ui").ThemeUIStyleObject;
    ":-webkit-any-link"?: import("theme-ui").ThemeUIStyleObject;
    ":-webkit-full-screen"?: import("theme-ui").ThemeUIStyleObject;
    "::-moz-placeholder"?: import("theme-ui").ThemeUIStyleObject;
    "::-moz-progress-bar"?: import("theme-ui").ThemeUIStyleObject;
    "::-moz-range-progress"?: import("theme-ui").ThemeUIStyleObject;
    "::-moz-range-thumb"?: import("theme-ui").ThemeUIStyleObject;
    "::-moz-range-track"?: import("theme-ui").ThemeUIStyleObject;
    "::-moz-selection"?: import("theme-ui").ThemeUIStyleObject;
    "::-ms-backdrop"?: import("theme-ui").ThemeUIStyleObject;
    "::-ms-browse"?: import("theme-ui").ThemeUIStyleObject;
    "::-ms-check"?: import("theme-ui").ThemeUIStyleObject;
    "::-ms-clear"?: import("theme-ui").ThemeUIStyleObject;
    "::-ms-expand"?: import("theme-ui").ThemeUIStyleObject;
    "::-ms-fill"?: import("theme-ui").ThemeUIStyleObject;
    "::-ms-fill-lower"?: import("theme-ui").ThemeUIStyleObject;
    "::-ms-fill-upper"?: import("theme-ui").ThemeUIStyleObject;
    "::-ms-input-placeholder"?: import("theme-ui").ThemeUIStyleObject;
    "::-ms-reveal"?: import("theme-ui").ThemeUIStyleObject;
    "::-ms-thumb"?: import("theme-ui").ThemeUIStyleObject;
    "::-ms-ticks-after"?: import("theme-ui").ThemeUIStyleObject;
    "::-ms-ticks-before"?: import("theme-ui").ThemeUIStyleObject;
    "::-ms-tooltip"?: import("theme-ui").ThemeUIStyleObject;
    "::-ms-track"?: import("theme-ui").ThemeUIStyleObject;
    "::-ms-value"?: import("theme-ui").ThemeUIStyleObject;
    "::-webkit-backdrop"?: import("theme-ui").ThemeUIStyleObject;
    "::-webkit-input-placeholder"?: import("theme-ui").ThemeUIStyleObject;
    "::-webkit-progress-bar"?: import("theme-ui").ThemeUIStyleObject;
    "::-webkit-progress-inner-value"?: import("theme-ui").ThemeUIStyleObject;
    "::-webkit-progress-value"?: import("theme-ui").ThemeUIStyleObject;
    "::-webkit-slider-runnable-track"?: import("theme-ui").ThemeUIStyleObject;
    "::-webkit-slider-thumb"?: import("theme-ui").ThemeUIStyleObject;
    "::after"?: import("theme-ui").ThemeUIStyleObject;
    "::backdrop"?: import("theme-ui").ThemeUIStyleObject;
    "::before"?: import("theme-ui").ThemeUIStyleObject;
    "::first-letter"?: import("theme-ui").ThemeUIStyleObject;
    "::first-line"?: import("theme-ui").ThemeUIStyleObject;
    "::grammar-error"?: import("theme-ui").ThemeUIStyleObject;
    "::marker"?: import("theme-ui").ThemeUIStyleObject;
    "::placeholder"?: import("theme-ui").ThemeUIStyleObject;
    "::selection"?: import("theme-ui").ThemeUIStyleObject;
    "::spelling-error"?: import("theme-ui").ThemeUIStyleObject;
    "::target-text"?: import("theme-ui").ThemeUIStyleObject;
    ":active"?: import("theme-ui").ThemeUIStyleObject;
    ":after"?: import("theme-ui").ThemeUIStyleObject;
    ":any-link"?: import("theme-ui").ThemeUIStyleObject;
    ":before"?: import("theme-ui").ThemeUIStyleObject;
    ":blank"?: import("theme-ui").ThemeUIStyleObject;
    ":checked"?: import("theme-ui").ThemeUIStyleObject;
    ":current"?: import("theme-ui").ThemeUIStyleObject;
    ":default"?: import("theme-ui").ThemeUIStyleObject;
    ":defined"?: import("theme-ui").ThemeUIStyleObject;
    ":disabled"?: import("theme-ui").ThemeUIStyleObject;
    ":empty"?: import("theme-ui").ThemeUIStyleObject;
    ":enabled"?: import("theme-ui").ThemeUIStyleObject;
    ":first"?: import("theme-ui").ThemeUIStyleObject;
    ":first-child"?: import("theme-ui").ThemeUIStyleObject;
    ":first-letter"?: import("theme-ui").ThemeUIStyleObject;
    ":first-line"?: import("theme-ui").ThemeUIStyleObject;
    ":first-of-type"?: import("theme-ui").ThemeUIStyleObject;
    ":focus"?: import("theme-ui").ThemeUIStyleObject;
    ":focus-visible"?: import("theme-ui").ThemeUIStyleObject;
    ":focus-within"?: import("theme-ui").ThemeUIStyleObject;
    ":fullscreen"?: import("theme-ui").ThemeUIStyleObject;
    ":future"?: import("theme-ui").ThemeUIStyleObject;
    ":hover"?: import("theme-ui").ThemeUIStyleObject;
    ":in-range"?: import("theme-ui").ThemeUIStyleObject;
    ":indeterminate"?: import("theme-ui").ThemeUIStyleObject;
    ":invalid"?: import("theme-ui").ThemeUIStyleObject;
    ":last-child"?: import("theme-ui").ThemeUIStyleObject;
    ":last-of-type"?: import("theme-ui").ThemeUIStyleObject;
    ":left"?: import("theme-ui").ThemeUIStyleObject;
    ":link"?: import("theme-ui").ThemeUIStyleObject;
    ":local-link"?: import("theme-ui").ThemeUIStyleObject;
    ":nth-col"?: import("theme-ui").ThemeUIStyleObject;
    ":nth-last-col"?: import("theme-ui").ThemeUIStyleObject;
    ":only-child"?: import("theme-ui").ThemeUIStyleObject;
    ":only-of-type"?: import("theme-ui").ThemeUIStyleObject;
    ":optional"?: import("theme-ui").ThemeUIStyleObject;
    ":out-of-range"?: import("theme-ui").ThemeUIStyleObject;
    ":past"?: import("theme-ui").ThemeUIStyleObject;
    ":paused"?: import("theme-ui").ThemeUIStyleObject;
    ":picture-in-picture"?: import("theme-ui").ThemeUIStyleObject;
    ":placeholder-shown"?: import("theme-ui").ThemeUIStyleObject;
    ":playing"?: import("theme-ui").ThemeUIStyleObject;
    ":read-only"?: import("theme-ui").ThemeUIStyleObject;
    ":read-write"?: import("theme-ui").ThemeUIStyleObject;
    ":required"?: import("theme-ui").ThemeUIStyleObject;
    ":right"?: import("theme-ui").ThemeUIStyleObject;
    ":root"?: import("theme-ui").ThemeUIStyleObject;
    ":scope"?: import("theme-ui").ThemeUIStyleObject;
    ":target"?: import("theme-ui").ThemeUIStyleObject;
    ":target-within"?: import("theme-ui").ThemeUIStyleObject;
    ":user-invalid"?: import("theme-ui").ThemeUIStyleObject;
    ":user-valid"?: import("theme-ui").ThemeUIStyleObject;
    ":valid"?: import("theme-ui").ThemeUIStyleObject;
    ":visited"?: import("theme-ui").ThemeUIStyleObject;
    variant?: string;
    label?: string;
    '.gds-scrollbar-classic': {
        '*::-webkit-scrollbar': {
            width: string;
            height: string;
        };
        '*::-webkit-scrollbar-thumb': {
            backgroundColor: string;
            backgroundClip: string;
            border: string;
            borderRadius: string;
            '&:hover': {
                backgroundColor: string;
            };
            '&:active': {
                borderWidth: string;
                backgroundColor: string;
            };
        };
        '*::-webkit-scrollbar-track': {
            backgroundColor: string;
            borderRadius: string;
            '&:hover': {
                backgroundColor: string;
            };
        };
        '*::-webkit-scrollbar-corner': {
            backgroundColor: string;
        };
    };
};
export default _default;
